/**
 * Copyright 2019 DH
 * All right reserved.
 * 项目名称: 大恒泰山系统
 * 创建日期:2023/10/31
 */
package org.ts.ddcs.tools;

import com.alibaba.fastjson.JSONObject;
import org.ts.ddcs.common.metadata.ElementDataMetadataEnum;

import java.util.Map;

/***
 * Date:2023/10/31
 * Title:文件所属模块（必须填写）
 * Description：对本文件的详细描述，原则上不能少于30字
 * @author dylan
 * @version 1.0
 * Remark：认为有必要的其他信息
 */
public class CloumnHelp {
    public static Integer getInt(Map<String, Object> keyStore) {
        return Integer.valueOf((String) keyStore.get(ElementDataMetadataEnum.ELEMENT_METADATA_VALUE.getName()));
    }

    public static Double getDouble(Map<String, Object> keyStore) {
        return Double.valueOf((String)keyStore.get(ElementDataMetadataEnum.ELEMENT_METADATA_VALUE.getName()));
    }

    public static Long getLong(Map<String, Object> keyStore) {
        return Long.valueOf((String)keyStore.get(ElementDataMetadataEnum.ELEMENT_METADATA_VALUE.getName()));
    }

    public static String getString(Map<String, Object> keyStore) {
        return (String)keyStore.get(ElementDataMetadataEnum.ELEMENT_METADATA_VALUE.getName());
    }
}
